Index: pbx/pbx_config.c
===================================================================
--- pbx/pbx_config.c	(revision 54597)
+++ pbx/pbx_config.c	(working copy)
@@ -48,7 +48,7 @@
 
 static int static_config = 0;
 static int write_protect_config = 1;
-static int autofallthrough_config = 0;
+static int autofallthrough_config = 1;
 static int clearglobalvars_config = 0;
 
 AST_MUTEX_DEFINE_STATIC(save_dialplan_lock);
@@ -2178,10 +2178,14 @@
 		return 0;
 
 	/* Use existing config to populate the PBX table */
-	static_config = ast_true(ast_variable_retrieve(cfg, "general", "static"));
-	write_protect_config = ast_true(ast_variable_retrieve(cfg, "general", "writeprotect"));
-	autofallthrough_config = ast_true(ast_variable_retrieve(cfg, "general", "autofallthrough"));
-	clearglobalvars_config = ast_true(ast_variable_retrieve(cfg, "general", "clearglobalvars"));
+	if ((cxt = ast_variable_retrieve(cfg, "general", "static")))
+		static_config = ast_true(cxt);
+	if ((cxt = ast_variable_retrieve(cfg, "general", "writeprotect")))
+		write_protect_config = ast_true(cxt);
+	if ((cxt = ast_variable_retrieve(cfg, "general", "autofallthrough")))
+		autofallthrough_config = ast_true(cxt);
+	if ((cxt = ast_variable_retrieve(cfg, "general", "clearglobalvars")))
+		clearglobalvars_config = ast_true(cxt);
 	ast_set2_flag(&ast_options, ast_true(ast_variable_retrieve(cfg, "general", "priorityjumping")), AST_OPT_FLAG_PRIORITY_JUMPING);
 
 	if ((cxt = ast_variable_retrieve(cfg, "general", "userscontext"))) 
